Subject: Re: [bug#68309] [PATCH 1/2] gnu: Add powertop-service-type.

From: Ian Eure <[email-masked]>
Date: Sat, 01 Jun 2024 11:18:28 -0700

Hi Mathieu,

Sorry for the extremely late response on this.

Mathieu Othacehe <[email-masked]> writes:

> Hey,
>
> Thanks for the v2!
>
>> +The @code{(gnu services pm)} module provides a Guix service 
>> definition
>> +for PowerTOP.  When started, it tunes kernel settings to 
>> reduce power
>> +consumption.
>
> I have this error when building the documentation:
>
> guix.texi:34841: `@end' expected `lisp', but saw `defvar'
>

Fixed in v3, which I just sent.

>> +
>> +
>> +
> Kill that extra line

This matches the style used by every other package in the module, 
so I believe it should stay how it is.

>> +;;;
>> +;;; powertop
>> +;;;
>> +;;; Calls `powertop --auto-tune' to reduce energy consumption.
>> +
>> +
>
> That one too.
>

Done.

>> +   (description "Tune power-related kernel parameters to 
>> reduce energy consumption.")))
>
> Wrap it to be under 78 characters.
>

Done.

  — Ian